var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { browserCheck } from '@ta-interaktiv/browsercheck';
import '@ta-interaktiv/semantic-ui/semantic/dist/components/list.css';
export var Link = function (_a) {
    var _b = _a.href, href = _b === void 0 ? '' : _b, children = _a.children, _c = _a.icon, icon = _c === void 0 ? 'external alternate' : _c, _d = _a.hideIcon, hideIcon = _d === void 0 ? false : _d, _e = _a.target, target = _e === void 0 ? ['_parent', '_blank'] : _e, _f = _a.className, className = _f === void 0 ? 'cbLink' : _f, _g = _a.style, style = _g === void 0 ? {} : _g, props = __rest(_a, ["href", "children", "icon", "hideIcon", "target", "className", "style"]);
    if (!children && href)
        children = href;
    var openIn;
    if (typeof target === 'object') {
        if (browserCheck.isMobile) {
            openIn = target[0];
        }
        else {
            openIn = target[1];
        }
    }
    else {
        openIn = target;
    }
    return (React.createElement(React.Fragment, null,
        React.createElement("a", __assign({ href: href, target: openIn, className: className, style: __assign({}, style, (!children ? { color: '#EB0000' } : {})) }, props),
            !hideIcon && React.createElement("i", { className: 'icon ' + icon || 'external alternate' }),
            children || 'Linktext')));
};
Link.defaultProps = {
    href: '',
    icon: 'external alternate',
    hideIcon: false,
    target: ['_parent', '_blank'],
    className: 'cbLink',
    style: { whiteSpace: 'nowrap' }
};
