/// <reference types="react" />
export interface MDXProps {
    /** MDX-Filename */
    file?: {
        default: Function;
    };
    /** Do not render container */
    noContainer?: boolean;
    /** ClassName for Container*/
    className?: string;
    [key: string]: any;
}
export declare const MDX: ({ file, className, noContainer, ...props }: MDXProps) => JSX.Element;
