/// <reference types="react" />
export interface TrackingProps {
    evnt?: string | 'below' | 'above';
    action?: string;
    label?: string;
    enterFrom?: 'below' | 'above';
    placeholder?: boolean;
}
export interface ScrollEventsProps {
    currentPosition: string;
    event: Event;
    previousPosition: string;
    viewportBottom: number;
    viewportTop: number;
    waypointBottom: number;
    waypointTop: number;
}
export interface TrackingEventProps {
    gtm?: {
        uniqueEventId?: number;
        start?: number;
        element?: FormData[];
        elementClasses?: string;
        elementTarget?: string;
        elementId?: string;
        elementUrl?: string;
        triggers?: string;
    };
    event: string;
    event_action?: string;
    event_label?: string;
    eventCallback?: Function;
    eventTimeout?: number;
    article_id?: number;
    article_title?: string;
    article_type?: string;
    category?: string;
    pagetype?: string;
    provider?: string;
    publish_date?: number;
    subcategory?: string;
    type?: string;
    uid?: number | undefined;
}
export declare const Tracking: {
    ({ evnt, action, label, enterFrom, placeholder }: TrackingProps): JSX.Element;
    defaultProps: {
        evnt: string;
        action: string;
        enterFrom: string;
    };
};
