import React from 'react';
import { Waypoint } from 'react-waypoint';
import { Placeholder } from './placeholder';
export var Tracking = function (_a) {
    var _b = _a.evnt, evnt = _b === void 0 ? 'Interactions' : _b, _c = _a.action, action = _c === void 0 ? 'vertical-scroll' : _c, label = _a.label, _d = _a.enterFrom, enterFrom = _d === void 0 ? 'below' : _d, _e = _a.placeholder, placeholder = _e === void 0 ? false : _e;
    window.dataLayer = window.dataLayer || [];
    console.log(placeholder || !label || label === '');
    return (React.createElement(React.Fragment, null,
        (placeholder || !label || label === '') && (React.createElement(Placeholder, { message: label === '' || !label
                ? 'Tracking will not be recorded. Message Missing. '
                : label + ' is tracked here when entering from ' + enterFrom, mod: 'Tracking' })),
        label && (React.createElement(Waypoint, { onEnter: function (event) {
                if (
                //(@ts-ignore
                event.previousPosition === Waypoint[enterFrom] &&
                    event.currentPosition === Waypoint.inside) {
                    window.dataLayer.push({
                        event: evnt,
                        event_action: action,
                        event_label: label
                    });
                }
            } }))));
};
Tracking.defaultProps = {
    evnt: 'Interactions',
    action: 'vertical-scroll',
    enterFrom: 'below'
};
